<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        /*$schedule->command('payments:accounts')
                ->sendOutputTo(storage_path('logs/cron.log'))
                ->appendOutputTo(storage_path('logs/cron-history.log'))
                ->emailOutputOnFailure(config('app.exception_mail'))
                ->onFailure(function () {
                    \Log::error('Payments:accounts command failed');
                });
        */

        $schedule->command('payments:reminders')
                ->sendOutputTo(storage_path('logs/cron.log'))
                ->appendOutputTo(storage_path('logs/cron-reminders.log'))
                ->emailOutputOnFailure(config('app.exception_mail'))
                ->onFailure(function () {
                    \Log::error('Payments:reminders command failed');
                });
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
